#!/bin/sh

export PATH=$PATH:/sbin:/usr/sbin:/usr/local/sbin

# Have we been explicitly told which firewall scripts to install?
if [ -n "$1" -a -n "$2" -a -d "$2/$1" ]; then
    FIREWALL=$1
    shift
fi

FIREWALL=iptables
FW_BIN=iptables

echo $FW_BIN found.

# Remove the existing *.fw links in /usr/local/nocat/bin (or wherever this is being run from)
TARGET=$1
SOURCE=libexec
if [ -n "$TARGET" ]; then
    rm -f $TARGET/*.fw

    # Then add new symlinks for each *.fw file in the appropriate firewall directory.
    for src in $SOURCE/$FIREWALL/*.fw; do
	dest=$TARGET/$(basename $src)
	echo "$src -> $dest"
	cp $src $dest
    done

    # Finally, symlink to the firewall binary
    src=$(which $FW_BIN)
    dest=$TARGET/$FW_BIN
    echo "$src -> $dest"
    ln -sf $src $dest
fi
